import('model.toolbar.header.ToolbarHeaderButton')

---@class model.toolbar.header.CancelDeleteToolbar : model.toolbar.header.ToolbarHeaderButton
CancelDeleteToolbar = extends(ToolbarHeaderButton)
CancelDeleteToolbar.__componentType = "model.toolbar.header.CancelDeleteToolbar"

function CancelDeleteToolbar:create(parent)
    local element = CancelDeleteToolbar:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_cancel",
        style = "toolbar_button_red" })
    return CancelDeleteToolbar:new(element)
end

function CancelDeleteToolbar:new(element)
    return CancelDeleteToolbar:super(ToolbarHeaderButton:new(element))
end

function CancelDeleteToolbar:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:header():cancelDeletion()
    end
end
