import('model.toolbar.header.ToolbarHeaderButton')

---@class model.toolbar.header.ConfirmDeleteToolbar : model.toolbar.header.ToolbarHeaderButton
ConfirmDeleteToolbar = extends(ToolbarHeaderButton)
ConfirmDeleteToolbar.__componentType = "model.toolbar.header.ConfirmDeleteToolbar"

function ConfirmDeleteToolbar:create(parent)
    local element = ConfirmDeleteToolbar:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_confirm",
        style = "toolbar_button_green" })
    return ConfirmDeleteToolbar:new(element)
end

function ConfirmDeleteToolbar:new(element)
    return ConfirmDeleteToolbar:super(ToolbarHeaderButton:new(element))
end

function ConfirmDeleteToolbar:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():delete()
    end
end
