import('model.Component')
import('model.toolbar.Toolbar')
import('model.toolbar.header.ToolbarHeader')

---@class model.toolbar.header.ToolbarHeaderButton : model.Component
ToolbarHeaderButton = extends(Component)

function ToolbarHeaderButton:new(element)
    return ToolbarHeaderButton:super(Component:new(element))
end

---@protected
---@return model.toolbar.Toolbar
function ToolbarHeaderButton:toolbar()
    return Toolbar:findUp(self:root())
end

---@protected
---@return model.toolbar.header.ToolbarHeader
function ToolbarHeaderButton:header()
    return ToolbarHeader:findUp(self:root())
end
