require('lang.import')
import('application.Interface')

---@param eventData EventData
script.on_event("interface-mod_show", function(eventData)
    --Interface:new(eventData.player_index):deleteAll()
    Interface:new(eventData.player_index):createToolbar()
end)

---@param eventData EventData
script.on_event(defines.events.on_gui_click, function(eventData)
    Interface:new(eventData.player_index):handle(eventData)
end)

---@param eventData EventData
script.on_event(defines.events.on_gui_elem_changed, function(eventData)
    Interface:new(eventData.player_index):handle(eventData)
end)

-- seems that defines.events.on_player_changed_surface is triggered before new inventory is available
---@param eventData EventData
script.on_event(defines.events.on_player_toggled_map_editor, function(eventData)
    Interface:new(eventData.player_index):updateToolbars()
end)

---@param eventData EventData
script.on_event(defines.events.on_player_main_inventory_changed, function(eventData)
    Interface:new(eventData.player_index):updateToolbars()
end)
