import('model.toolbar.section.header.SectionHeaderButton')

---@class model.toolbar.section.header.ConfirmDeleteSection : model.toolbar.section.header.SectionHeaderButton
ConfirmDeleteSection = extends(SectionHeaderButton)
ConfirmDeleteSection.__componentType = "model.toolbar.header.ConfirmDeleteSection"

function ConfirmDeleteSection:create(parent)
    local element = ConfirmDeleteSection:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_confirm",
        style = "toolbar_button_green" })
    return ConfirmDeleteSection:new(element)
end

function ConfirmDeleteSection:new(element)
    return ConfirmDeleteSection:super(SectionHeaderButton:new(element))
end

function ConfirmDeleteSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():delete()
    end
end
