import('model.Component')
import('model.toolbar.section.Section')
import('model.toolbar.section.header.SectionHeader')

---@class model.toolbar.section.header.SectionHeaderButton : model.Component
SectionHeaderButton = extends(Component)

function SectionHeaderButton:new(element)
    return SectionHeaderButton:super(Component:new(element))
end

---@protected
---@return model.toolbar.section.Section
function SectionHeaderButton:section()
    return Section:findUp(self:root())
end

---@protected
---@return model.toolbar.section.header.SectionHeader
function SectionHeaderButton:header()
    return SectionHeader:findUp(self:root())
end
